Name:          amanith
Version:       0.3
Release:       9%{?dist}
Summary:       Crossplatform framework for 2d/3d vector graphics
Group:         Development/Libraries
License:       QPL
URL:           http://www.amanith.org
Source0:       http://www.amanith.org/download/files/amanith_03.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt3-devel, freetype-devel, libjpeg-devel, libpng-devel, zlib-devel
BuildRequires: libXmu-devel, glew-devel, mesa-libGLU-devel
BuildRequires: mesa-libGL-devel, pkgconfig
Patch0:        amanith-0.3-nothirdpartystatic.patch
Patch1:        amanith-0.3-system-glew.patch
Patch3:        amanith-0.3-gcc-C++fix.patch
Patch4:        amanith-0.3-system-libjpeg.patch
Patch5:        amanith-0.3-system-libpng.patch
Patch6:        amanith-0.3-freetype-fix.patch
Patch7:        amanith-0.3-system-freetype.patch
Patch8:        amanith-0.3-gcc43.patch

%description
Amanith is an OpenSource C++ CrossPlatform framework designed for 2d & 3d 
vector graphics.  All the framework is heavily based on a light plug-in 
system.

%package devel
Summary:       Development files for amanith
Group:         Development/Libraries
Requires:      glew-devel
Requires:      %{name} = %{version}-%{release}

%description devel
Development libraries and headers for developing programs that use amanith.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
# Boo. Hiss. SGI Free B and GLX files.
rm -rf include/GL/
# Don't need the 3rdpart stuff either.
rm -rf 3rdpart/
chmod -x include/amanith/*.h include/amanith/1d/*.h \
         include/amanith/2d/*.h include/amanith/lang/*.h \
         include/amanith/numerics/*.h include/amanith/geometry/*.h \
         include/amanith/rendering/*.h include/amanith/support/*.h \
         FAQ CHANGELOG INSTALL README LICENSE.QPL doc/amanith.chm \
         src/1d/*.cpp src/2d/*.cpp src/support/*.cpp src/rendering/*.cpp \
         src/*.cpp src/geometry/*.cpp plugins/jpeg/*.cpp src/numerics/*.cpp \
         plugins/fonts/*.cpp plugins/png/*.cpp \
         plugins/jpeg/*.h plugins/png/*.h plugins/fonts/*.h
# convert to utf-8, fix end of line encoding
for i in FAQ CHANGELOG INSTALL README LICENSE.QPL; do
  sed -i -e 's|\r||g' $i
  iconv -f iso-8859-1 -t utf-8 -o $i{.utf8,} 
  mv $i{.utf8,}
done

%build
export AMANITHDIR=$(pwd)
export LD_LIBRARY_PATH=$AMANITHDIR/lib:$LD_LIBRARY_PATH
source %{_sysconfdir}/profile.d/qt.sh
qmake amanith.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}

# We're using cp instead of install because the symlinks are already
# created correctly.
cp -a lib/*.so* $RPM_BUILD_ROOT%{_libdir}
cp -a plugins/*.so* $RPM_BUILD_ROOT%{_libdir}
cp -a include/amanith $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGELOG FAQ LICENSE.QPL README doc/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/amanith/

%changelog
* Fri Apr  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-9
- fix FTBFS bz 440739, needed qt3-devel

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-8
- Autorebuild for GCC 4.3

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-7
- fix for gcc4.3

* Tue Jan 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-6
- rebuild against new glew

* Thu Dec 20 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-5
- use macros when we source qt.sh

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-4
- source /etc/profile/qt.sh so qmake is in the path

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-3
- Add glew-devel as explicit Requires for amanith-devel
- change AMANITHDIR to use pwd rather than a macro combo
- drop INSTALL from %%doc

* Thu Nov 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-2
- fix freetype plugin to properly use system includes

* Sat May 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-1
- initial Fedora package
